For the complete documentation index, see llms.txt. This page is also available as Markdown.

User team roles

User team roles define user permissions in the team. The endpoints discussed further retrieve information about user roles in the team. Use the /users/{userId}/user-team-roles/{userId} endpoint to manage user team roles. Check out the overview of user team roles and the associated permissions.

List user roles in the team

get
/teams/{teamId}/user-team-roles

Gets list of all users and their roles in the team with the specified teamId. Get all user role IDs with the API call GET /users/roles.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
teamIdintegerRequired

The ID of the team.

Example: 22
Query parameters
pg[sortBy]stringOptional

The value that will be used to sort returned entities by.

pg[offset]integerOptional

The value of entities you want to skip before getting entities you need.

pg[sortDir]string · enumOptional

The sorting order. It accepts the ascending and descending direction specifiers.

Possible values:
pg[limit]integerOptional

Sets the maximum number of results per page in the API call response. For example, pg[limit]=100. The default number varies with different API endpoints.

Responses
200

Successful response

application/json
get/teams/{teamId}/user-team-roles
GET /api/v2/teams/{teamId}/user-team-roles HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "userTeamRoles": [
    {
      "usersRoleId": 1,
      "userId": 1,
      "teamId": 1,
      "changeable": false
    },
    {
      "usersRoleId": 3,
      "userId": 13,
      "teamId": 1,
      "changeable": true
    }
  ]
}

Get user team role details

get
/teams/{teamId}/user-team-roles/{userId}

Retrieves information about user role in a team with the specified userId and teamId. Get all user role IDs with the API call GET users/roles.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Authorize the API call with your API token in the Authorization header with the value: Token your-api-token.

If you don't have an API token yet, please refer to the "Authentication" section to learn how to create one.

Path parameters
teamIdstringRequired

The ID of the team.

Example: 22
userIdstringRequired

The ID of the user.

Example: 111
Query parameters
pg[sortBy]stringOptional

The value that will be used to sort returned entities by.

pg[offset]integerOptional

The value of entities you want to skip before getting entities you need.

pg[sortDir]string · enumOptional

The sorting order. It accepts the ascending and descending direction specifiers.

Possible values:
pg[limit]integerOptional

Sets the maximum number of results per page in the API call response. For example, pg[limit]=100. The default number varies with different API endpoints.

Responses
200

Successful response

application/json
get/teams/{teamId}/user-team-roles/{userId}
GET /api/v2/teams/{teamId}/user-team-roles/{userId} HTTP/1.1
Host: eu1.make.com
Authorization: Token your-api-token
Accept: */*
200

Successful response

{
  "userTeamRole": {
    "usersRoleId": 3,
    "userId": 12,
    "teamId": 1,
    "changeable": true
  }
}

Last updated